
package de.ugoe.cs.quest.plugin.mfc.eventcore;

import de.ugoe.cs.quest.eventcore.IEventType;

/**
 * <p>
 * TODO comment
 * </p>
 * 
 * @version $Revision: $ $Date: Aug 17, 2012$
 * @author 2012, last modified by $Author: sherbold$
 */
public class MFCEventType implements IEventType {

    /**  */
    private static final long serialVersionUID = 1L;

    private final String typeString;
    
    private String info = null;

    public MFCEventType(String typeString) {
        this.typeString = typeString;
    }
    
    public void setInfo(String info) {
        this.info = info;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.quest.eventcore.IEventType#getName()
     */
    @Override
    public String getName() {
        return "MFCEventType";
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        String str = typeString;
        if( info!=null ) {
            str += "." + info;
        }
        return str;
    }

}
